import { jsx } from "react/jsx-runtime";
import { LassoIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Lasso = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Lasso", ...props, children: /* @__PURE__ */ jsx(LassoIcon, { weight: variant }) });
  }
);
Lasso.displayName = "Lasso";
Object.assign(Lasso, { isGdsIcon: true });
export {
  Lasso
};
